using UnityEngine;

public class OpenURLOnClick : MonoBehaviour
{
	public UILabel ClickedUrlLabel { private get; set; }

	private void OnClick()
	{
		string urlAtPosition = ClickedUrlLabel.GetUrlAtPosition(UICamera.lastHit.point);
		if (!string.IsNullOrEmpty(urlAtPosition))
		{
			UIManager.GetInstance().WebViewHelper.OpenUrl(urlAtPosition);
		}
	}
}
